const { existsSync } = require('fs')
const { readdirSync } = require('als-readdir')
function getFiles(dirPath) {
   if(typeof dirPath !== 'string') throw new Error('dirPath has to be string')
   if (!existsSync(dirPath)) throw new Error(`${dirPath} not exists`)
   const files = readdirSync(dirPath, { withFileTypes: true, recursive: true })
   return files.filter(file => file.isFile())
}

module.exports = getFiles