const { join, extname } = require('path')
const methods = require('methods')

function getRoutes(files,mwObj,dirPath) {
   const { mw, privateMw } = mwObj
   const mwKeys = Object.keys(mw)
   mwKeys.sort().reverse()
   const routes = []
   files.forEach(({ path, name }) => {
      let [filename, method, js] = name.split('.')
      if (!methods.includes(method)) return
      if ((js !== 'js' && extname(name) !== '.js') || !method) return
      
      const url = path.replace(dirPath, '') + '/' + filename.replace(/^\$/,':')
      const obj = {method,url,pathes:[join(path,name)]}
      if(privateMw[path]) obj.pathes.unshift(privateMw[path])
      mwKeys.forEach(dir => {
         if(path.startsWith(dir) || path === dir) obj.pathes.unshift(mw[dir])
      })
      routes.push(obj)
   });
   return routes
}

module.exports = getRoutes