const normalizeUrlPath = require('als-normalize-urlpath')
function prepareRoutes(routes, urlPath, errors = []) {
   const readyRoutes = []
   routes.forEach(({ method, url, pathes }) => {
      url = urlPath ? urlPath + '/' + url : url
      const { pathname: path } = normalizeUrlPath(url)
      if (path === null) return errors.push(new Error(`${url} is not valid path`))
      try {
         const fns = pathes.map(path => require(path)).flat();
         readyRoutes.push({ method, path, fns })
      } catch (error) { errors.push(error) }
   })
   return readyRoutes
}
module.exports = prepareRoutes