const getFiles = require('./get-files')
const getMw = require('./get-mw')
const prepareRoutes = require('./prepare-routes')
const getRoutes = require('./get-routes')

function routes(dirPath, urlPath = '/', app) {
   const files = getFiles(dirPath)
   const mwObj = getMw(files)
   const routes = getRoutes(files, mwObj, dirPath)
   const errors = []
   const readyRoutes = prepareRoutes(routes, urlPath, errors)
   if (app) readyRoutes.forEach(({ method, path, fns }) => {
      if(app[method]) app[method](path, fns)
   })
   return { readyRoutes, errors }
}

module.exports = routes