const assert = require('assert');
const { describe, it } = require('node:test')
const getFiles = require('../lib/get-files');
const { join } = require('path');

describe('getFiles', () => {
    it('should throw an error for invalid input', () => {
        assert.throws(() => getFiles(123));
        assert.throws(() => getFiles('ab'));
    });

    it('should throw an error if directory does not exist', () => {
        assert.throws(() => getFiles('non/existent/path'));
    });

    it('should return only files, excluding directories', () => {
        const files = getFiles(join(__dirname,'..'));
        assert(files.every(file => file.isFile()));
    });
});
